Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228247 - SELinux prelink blocking Nvidia GLX files
Summary: SELinux prelink blocking Nvidia GLX files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-12 04:39 UTC by Tim McConnell
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 17:49:20 UTC


Attachments (Terms of Use)
Error messages from audit.log (deleted)
2007-02-12 15:54 UTC, Tim McConnell
no flags Details
from /var/log/messages (deleted)
2007-02-12 15:56 UTC, Tim McConnell
no flags Details

Description Tim McConnell 2007-02-12 04:39:10 UTC
Description of problem: If I run glxgears to verify NVidia's 3d is working I
receive this message: 
" glxgears
Xlib:  extension "GLX" missing on display ":0.0".
Error: couldn't get an RGB, Double-buffered visual"
If I run the rpm -qa *nvidia* command the results are: 
 rpm -qa *nvidia*
xorg-x11-drv-nvidia-96xx-devel-1.0.9631-5.lvn6
xorg-x11-drv-nvidia-96xx-1.0.9631-5.lvn6
kmod-nvidia-96xx-xen-1.0.9631-4.2.6.19_1.2895.fc6
kmod-nvidia-96xx-kdump-1.0.9631-4.2.6.19_1.2895.fc6
kmod-nvidia-96xx-1.0.9631-4.2.6.19_1.2895.fc6
nvidia-96xx-kmod-debuginfo-1.0.9631-4.2.6.19_1.2895.fc6

Version-Release number of selected component (if applicable):


How reproducible:
Run glxgears 


Steps to Reproduce:
1.
2.
3.
  
Actual results:
glxgears gives error

Expected results:
glxgears to run 

Additional info:
Nvidia GForce2 200 MX 3.11.01.30CB6 for BIOS 
uname -a results = 2.6.19-1.2895.fc6xen #1 SMP Wed Jan 10 19:47:12 EST 2007 i686
athlon i386 GNU/Linux
Please advise of further files or commands needed to proceed.

Comment 1 Daniel Walsh 2007-02-12 15:42:59 UTC
Are you seeing any avc messages in /var/log/audit/audit.log or /var/log/messages?

Comment 2 Tim McConnell 2007-02-12 15:54:41 UTC
Created attachment 147905 [details]
Error messages from audit.log

Comment 3 Tim McConnell 2007-02-12 15:56:06 UTC
Created attachment 147906 [details]
from  /var/log/messages

Comment 4 Daniel Walsh 2007-02-12 16:06:17 UTC
Looks like you have a badly labeled resolv.conf.  restorecon /etc/resolv.conf
should fix that.

Also /usr/games/nethack*/nethack is labeled wrong.

The prelink problem is fixed in selinux-policy-2.4.6-37

Comment 5 Tim McConnell 2007-02-12 16:17:43 UTC
There should be a bunch of prelink errors in those files concerning games also. 

Comment 6 Tim McConnell 2007-02-12 16:20:36 UTC
(In reply to comment #4)
> Looks like you have a badly labeled resolv.conf.  restorecon /etc/resolv.conf
> should fix that.
> 
> Also /usr/games/nethack*/nethack is labeled wrong.
> 
> The prelink problem is fixed in selinux-policy-2.4.6-37

Where do I get the newer policy or check which policy version I have? 
Also I ran the command (restorecon /etc/resolv.conf) you suggested and I still
get the same error, should I reboot and try glxgears again? 


Comment 7 Daniel Walsh 2007-02-12 17:14:50 UTC
New policy is availabel on http://people.redhat.com/dwalsh/SELinux/FC6

Does ppp contain its own version of resolv.conf?



Comment 8 Tim McConnell 2007-02-12 22:10:55 UTC
(In reply to comment #7)
> New policy is availabel on http://people.redhat.com/dwalsh/SELinux/FC6
> 
> Does ppp contain its own version of resolv.conf?
> 
> 

locate resolv.conf
/etc/resolv.conf
/etc/ppp/resolv.conf
/etc/sysconfig/networking/profiles/default/resolv.conf
/usr/share/man/man5/resolv.conf.5.gz


Comment 9 Tim McConnell 2007-02-12 22:19:52 UTC
new policies are installed, when I tried to install form the above link I
recieved a message that they were installed. 
rpm -qa *selinux*
libselinux-debuginfo-1.33.4-2.fc6
selinux-policy-2.4.6-35.fc6
selinux-doc-1.26-1.1
selinux-policy-targeted-2.4.6-35.fc6
libselinux-python-1.33.4-2.fc6
pure-ftpd-selinux-1.0.21-9.fc6
libselinux-1.33.4-2.fc6
selinux-policy-mls-2.4.6-35.fc6
mod_fcgid-selinux-2.0-1.fc6
libselinux-devel-1.33.4-2.fc6


Comment 10 Tim McConnell 2007-02-12 22:32:15 UTC
I don't know if this helps you any, I ran the following chcon commands as per
the Nvidia page http://www.nvnews.net/vbulletin/showthread.php?t=72490
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/xorg/modules/drivers/nvidia_drv.so
[root@red1 ~]# chcon -t texrel_shlib_t
/usr/lib/xorg/modules/extensions/libglx.so.1.0.9631
chcon: /usr/lib/xorg/modules/extensions/libglx.so.1.0.9631: No such file or
directory
[root@red1 ~]# locate libglx.so
/usr/lib/xorg/modules/extensions/libglx.so
/usr/lib/xorg/modules/extensions/nvidia/libglx.so
/usr/lib/xorg/modules/extensions/nvidia/libglx.so.1.0.9631
[root@red1 ~]# chcon -t texrel_shlib_t
/usr/lib/xorg/modules/extensions/nvidia/libglx.so.1.0.9631
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/xorg/modules/extensions/libglx.so
[root@red1 ~]# chcon -t texrel_shlib_t
/usr/lib/xorg/modules/extensions/nvidia/libglx.so
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/tls/libnvidia-tls.so.1
chcon: /usr/lib/tls/libnvidia-tls.so.1: No such file or directory
[root@red1 ~]# locate libnvidia-tls
/usr/lib/nvidia/libnvidia-tls.so.1
/usr/lib/nvidia/libnvidia-tls.so.1.0.9631
/usr/lib/nvidia/tls/libnvidia-tls.so.1
/usr/lib/nvidia/tls/libnvidia-tls.so.1.0.9631
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/nvidia/libnvidia-tls.so.1
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/nvidia/libnvidia-tls.so.1.0.9631
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/nvidia/tls/libnvidia-tls.so.1.0.9631
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/nvidia/tls/libnvidia-tls.so.1
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/libGLcore.so.1.0.9631
chcon: /usr/lib/libGLcore.so.1.0.9631: No such file or directory
[root@red1 ~]# locate libGLcore
/usr/lib/nvidia/libGLcore.so
/usr/lib/nvidia/libGLcore.so.1
/usr/lib/nvidia/libGLcore.so.1.0.9631
/usr/lib/nvidia/libGLcore.so.1.0.9631.#prelink#.CvswVs
/usr/lib/xorg/modules/extensions/libGLcore.so
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/nvidia/libGLcore.so.1.0.9631
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/nvidia/libGLcore.so
[root@red1 ~]# chcon -t texrel_shlib_t /usr/lib/nvidia/libGLcore.so.1
[root@red1 ~]# chcon -t texrel_shlib_t
/usr/lib/nvidia/libGLcore.so.1.0.9631.#prelink#.CvswVs

And the issue still occured. 
Also on FedoraForum.org there is a user named Thecowking who stated disabling
SELinux allowed his 3d to work.
http://forums.fedoraforum.org/showthread.php?t=99285&page=42&pp=15  

Comment 11 Daniel Walsh 2007-02-13 20:31:12 UTC
Are you seeing new avc messages?

Comment 12 Tim McConnell 2007-02-13 21:12:18 UTC
(In reply to comment #11)
> Are you seeing new avc messages?

67295 new auid=0
type=USER_START msg=audit(1171397401.818:10196): user pid=24912 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171397401.818:10197): user pid=24912 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_START msg=audit(1171397401.818:10198): user pid=24913 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171397401.826:10199): user pid=24913 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171397402.466:10200): user pid=24912 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171397402.466:10201): user pid=24912 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171397402.482:10202): user pid=24913 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171397402.482:10203): user pid=24913 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171397701.499:10204): user pid=24928 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171397701.499:10205): login pid=24928 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171397701.511:10206): user pid=24928 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171397701.511:10207): user pid=24928 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171397701.907:10208): user pid=24928 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171397701.907:10209): user pid=24928 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171398001.928:10210): user pid=24938 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171398001.928:10211): login pid=24938 uid=0 old
auid=4294967295 new auid=0
type=USER_ACCT msg=audit(1171398001.932:10212): user pid=24939 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171398001.932:10213): login pid=24939 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171398001.940:10214): user pid=24938 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171398001.940:10215): user pid=24938 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_START msg=audit(1171398001.952:10216): user pid=24939 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171398001.952:10217): user pid=24939 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171398002.332:10218): user pid=24938 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171398002.332:10219): user pid=24938 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171398002.352:10220): user pid=24939 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171398002.352:10221): user pid=24939 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171398301.369:10222): user pid=24951 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171398301.369:10223): login pid=24951 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171398301.381:10224): user pid=24951 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171398301.381:10225): user pid=24951 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171398301.769:10226): user pid=24951 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171398301.769:10227): user pid=24951 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171398601.790:10228): user pid=24961 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171398601.790:10229): login pid=24961 uid=0 old
auid=4294967295 new auid=0
type=USER_ACCT msg=audit(1171398601.794:10230): user pid=24962 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171398601.794:10231): login pid=24962 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171398601.802:10232): user pid=24961 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171398601.802:10233): user pid=24961 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_START msg=audit(1171398601.862:10234): user pid=24962 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171398601.862:10235): user pid=24962 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171398602.194:10236): user pid=24961 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171398602.194:10237): user pid=24961 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171398602.210:10238): user pid=24962 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171398602.210:10239): user pid=24962 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171398901.255:10240): user pid=24978 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171398901.255:10241): login pid=24978 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171398901.271:10242): user pid=24978 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171398901.271:10243): user pid=24978 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171398901.707:10244): user pid=24978 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171398901.707:10245): user pid=24978 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171399201.776:10246): user pid=24988 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171399201.776:10247): login pid=24988 uid=0 old
auid=4294967295 new auid=0
type=USER_ACCT msg=audit(1171399201.776:10248): user pid=24989 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171399201.776:10249): login pid=24989 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171399201.796:10250): user pid=24988 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171399201.796:10251): user pid=24988 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_START msg=audit(1171399201.816:10252): user pid=24989 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171399201.816:10253): user pid=24989 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171399202.108:10254): user pid=24989 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171399202.108:10255): user pid=24989 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171399202.256:10256): user pid=24988 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171399202.256:10257): user pid=24988 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171399501.281:10258): user pid=25002 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171399501.281:10259): login pid=25002 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171399501.293:10260): user pid=25002 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171399501.293:10261): user pid=25002 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171399501.669:10262): user pid=25002 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171399501.669:10263): user pid=25002 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171399801.698:10264): user pid=25012 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171399801.698:10265): login pid=25012 uid=0 old
auid=4294967295 new auid=0
type=USER_ACCT msg=audit(1171399801.706:10266): user pid=25013 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171399801.706:10267): login pid=25013 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171399801.714:10268): user pid=25012 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171399801.714:10269): user pid=25012 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_START msg=audit(1171399801.966:10270): user pid=25013 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171399801.966:10271): user pid=25013 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171399802.118:10272): user pid=25012 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171399802.118:10273): user pid=25012 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171399802.122:10274): user pid=25013 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171399802.122:10275): user pid=25013 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171400101.144:10276): user pid=25039 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171400101.144:10277): login pid=25039 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171400101.156:10278): user pid=25039 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171400101.156:10279): user pid=25039 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171400101.528:10280): user pid=25039 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171400101.540:10281): user pid=25039 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171400401.557:10282): user pid=25049 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171400401.557:10283): login pid=25049 uid=0 old
auid=4294967295 new auid=0
type=USER_ACCT msg=audit(1171400401.557:10284): user pid=25050 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171400401.557:10285): login pid=25050 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171400401.577:10286): user pid=25049 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171400401.577:10287): user pid=25049 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_START msg=audit(1171400401.577:10288): user pid=25050 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171400401.577:10289): user pid=25050 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171400401.857:10290): user pid=25050 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171400401.857:10291): user pid=25050 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171400401.989:10292): user pid=25049 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171400401.989:10293): user pid=25049 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171400462.000:10294): user pid=25056 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171400462.004:10295): login pid=25056 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171400462.020:10296): user pid=25056 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171400462.020:10297): user pid=25056 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171400462.024:10298): user pid=25056 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171400462.024:10299): user pid=25056 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171400701.050:10300): user pid=25065 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171400701.050:10301): login pid=25065 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171400701.062:10302): user pid=25065 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171400701.062:10303): user pid=25065 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171400701.450:10304): user pid=25065 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171400701.450:10305): user pid=25065 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171401001.471:10306): user pid=25075 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171401001.471:10307): login pid=25075 uid=0 old
auid=4294967295 new auid=0
type=USER_ACCT msg=audit(1171401001.479:10308): user pid=25076 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171401001.479:10309): login pid=25076 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171401001.487:10310): user pid=25075 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171401001.487:10311): user pid=25075 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_START msg=audit(1171401001.499:10312): user pid=25076 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171401001.499:10313): user pid=25076 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171401001.887:10314): user pid=25075 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171401001.887:10315): user pid=25075 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171401001.899:10316): user pid=25076 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171401001.899:10317): user pid=25076 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171401301.920:10318): user pid=25089 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171401301.920:10319): login pid=25089 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171401301.932:10320): user pid=25089 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171401301.932:10321): user pid=25089 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171401302.316:10322): user pid=25089 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171401302.316:10323): user pid=25089 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171401601.341:10324): user pid=25126 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171401601.341:10325): login pid=25126 uid=0 old
auid=4294967295 new auid=0
type=USER_ACCT msg=audit(1171401601.345:10326): user pid=25127 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171401601.345:10327): login pid=25127 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171401601.357:10328): user pid=25126 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171401601.357:10329): user pid=25126 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_START msg=audit(1171401601.365:10330): user pid=25127 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171401601.365:10331): user pid=25127 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171401601.625:10332): user pid=25127 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171401601.625:10333): user pid=25127 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171401601.749:10334): user pid=25126 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171401601.749:10335): user pid=25126 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_AUTH msg=audit(1171401691.598:10336): user pid=25170 uid=500 auid=500
subj=user_u:system_r:unconfined_t:s0 msg='PAM: authentication acct=root :
exe="/bin/su" (hostname=?, addr=?, terminal=pts/0 res=success)'
type=USER_ACCT msg=audit(1171401691.598:10337): user pid=25170 uid=500 auid=500
subj=user_u:system_r:unconfined_t:s0 msg='PAM: accounting acct=root :
exe="/bin/su" (hostname=?, addr=?, terminal=pts/0 res=success)'
type=USER_START msg=audit(1171401691.670:10338): user pid=25170 uid=500 auid=500
subj=user_u:system_r:unconfined_t:s0 msg='PAM: session open acct=root :
exe="/bin/su" (hostname=?, addr=?, terminal=pts/0 res=success)'
type=CRED_ACQ msg=audit(1171401691.670:10339): user pid=25170 uid=500 auid=500
subj=user_u:system_r:unconfined_t:s0 msg='PAM: setcred acct=root : exe="/bin/su"
(hostname=?, addr=?, terminal=pts/0 res=success)'
[root@red1 ~]# cat /var/log/audit/audit.log |tail -n 30
type=USER_START msg=audit(1171401001.487:10310): user pid=25075 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171401001.487:10311): user pid=25075 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_START msg=audit(1171401001.499:10312): user pid=25076 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171401001.499:10313): user pid=25076 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171401001.887:10314): user pid=25075 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171401001.887:10315): user pid=25075 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171401001.899:10316): user pid=25076 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171401001.899:10317): user pid=25076 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171401301.920:10318): user pid=25089 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171401301.920:10319): login pid=25089 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171401301.932:10320): user pid=25089 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171401301.932:10321): user pid=25089 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171401302.316:10322): user pid=25089 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171401302.316:10323): user pid=25089 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_ACCT msg=audit(1171401601.341:10324): user pid=25126 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171401601.341:10325): login pid=25126 uid=0 old
auid=4294967295 new auid=0
type=USER_ACCT msg=audit(1171401601.345:10326): user pid=25127 uid=0
auid=4294967295 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM:
accounting acct=root : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron
res=success)'
type=LOGIN msg=audit(1171401601.345:10327): login pid=25127 uid=0 old
auid=4294967295 new auid=0
type=USER_START msg=audit(1171401601.357:10328): user pid=25126 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171401601.357:10329): user pid=25126 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_START msg=audit(1171401601.365:10330): user pid=25127 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_ACQ msg=audit(1171401601.365:10331): user pid=25127 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171401601.625:10332): user pid=25127 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171401601.625:10333): user pid=25127 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1171401601.749:10334): user pid=25126 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root :
exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1171401601.749:10335): user pid=25126 uid=0 auid=0
subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct=root
: exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_AUTH msg=audit(1171401691.598:10336): user pid=25170 uid=500 auid=500
subj=user_u:system_r:unconfined_t:s0 msg='PAM: authentication acct=root :
exe="/bin/su" (hostname=?, addr=?, terminal=pts/0 res=success)'
type=USER_ACCT msg=audit(1171401691.598:10337): user pid=25170 uid=500 auid=500
subj=user_u:system_r:unconfined_t:s0 msg='PAM: accounting acct=root :
exe="/bin/su" (hostname=?, addr=?, terminal=pts/0 res=success)'
type=USER_START msg=audit(1171401691.670:10338): user pid=25170 uid=500 auid=500
subj=user_u:system_r:unconfined_t:s0 msg='PAM: session open acct=root :
exe="/bin/su" (hostname=?, addr=?, terminal=pts/0 res=success)'
type=CRED_ACQ msg=audit(1171401691.670:10339): user pid=25170 uid=500 auid=500
subj=user_u:system_r:unconfined_t:s0 msg='PAM: setcred acct=root : exe="/bin/su"
(hostname=?, addr=?, terminal=pts/0 res=success)'


Comment 13 Daniel Walsh 2007-02-13 21:17:48 UTC
There is not a single avc in those messages.  So what is broken now?  If you
setenforce 0, does it work?

Comment 14 Tim McConnell 2007-02-13 21:38:08 UTC
Glxgears is still giving: Xlib:  extension "GLX" missing on display ":0.0".
Error: couldn't get an RGB, Double-buffered visual

even with setenforce 0 

Comment 15 Tim McConnell 2007-02-13 22:07:02 UTC
Okay I got it working.
What I had to do is disable Selinux in GNOME via System> Administrator>Security
Level and Firewall. Then reset to enforcing and reboot, this forced a relabeling
of the system and GLXgears now runs. 
Some of the 3D games won't launch still. 
I will see if new errors come up in SETroubleshooter or not. 

Comment 16 Tim McConnell 2007-02-14 17:14:19 UTC
OK it appears to be fixed forcing a relabel of the filesystem seems to have
solved it. SETroubleshooter shows no errors.  Glxgears shows: 
2020 frames in 5.0 seconds = 403.883 FPS
2179 frames in 5.0 seconds = 435.633 FPS
2182 frames in 5.0 seconds = 436.205 FPS
2173 frames in 5.0 seconds = 434.506 FPS
X connection to :0.0 broken (explicit kill or server shutdown).
 
I would have thought that installing the newer policy would have checked and
corrected prelink problems or at least asked to verify if there were any
problems when it installed but it doesn't. Anyway go ahead and close this as
resolved. 


Note You need to log in before you can comment on or make changes to this bug.